Summary:	ssl/ssh multiplexer
Name:		sslh
Version:	1.21c
Release:	%mkrel 3
License:	GPLv2+
Group:		Networking/Other
Url:		https://www.rutschle.net/tech/sslh.shtml
Source0:	https://github.com/yrutschle/sslh/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:		sslh-1.20-mga-path.patch
BuildRequires:	libconfig-devel
BuildRequires:	libcap-devel
BuildRequires:	pkgconfig(libpcreposix)

%description
sslh accepts HTTPS, SSH, OpenVPN, tinc and XMPP connections on the
same port. This makes it possible to connect to any of these servers
on port 443 (e.g. from inside a corporate firewall, which almost never
block port 443) while still serving HTTPS on that port.

%prep
%setup -q
%autopatch -p1

cat > README.install.urpmi <<EOF
By default, %{name} is not configured and will not be able to start.
You need to enable configuration options in this file:
  %{_sysconfdir}/sysconfig/%{name}
Then run:
  systemctl restart %{name}.service
EOF

%build
./genver.sh >version.h
%make_build CFLAGS="%optflags" USELIBCAP=1

%install
%make_install
install -Dpm 644 scripts/systemd.%{name}.service %{buildroot}%{_unitdir}/%{name}.service
install -d %{buildroot}%{_sysconfdir}/sysconfig
cat > %{buildroot}%{_sysconfdir}/sysconfig/%{name} <<EOF
## Uncomment the DAEMON_OPTS config line below to redirect https port
## to local ssh port or local port 4443, depending on incoming
## connection.
##
## To make this works with https and apache, you need to modify
## /etc/httpd/conf/sites.d/01_ssl.conf to listen to local port 4443:
##   Listen localhost:4443
## (instead of Listen 443)
## and then run: systemctl reload httpd.service
##
## Also make sure your VirtualHost is configured for localhost:4443
##
# DAEMON_OPTS=-p 0.0.0.0:443 --ssh localhost:22 --ssl localhost:4443
EOF

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%files
%doc README.install.urpmi README.md ChangeLog
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%{_sbindir}/%{name}
%{_mandir}/man8/*
%{_unitdir}/%{name}.service


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.21c-3.mga10
+ Revision: 2211676
- Mageia 10 Mass Rebuild

* Sun Mar 27 2022 umeabot <umeabot> 1.21c-2.mga9
+ Revision: 1829477
- Mageia 9 Mass Rebuild

* Fri Mar 05 2021 daviddavid <daviddavid> 1.21c-1.mga9
+ Revision: 1698781
- new version: 1.21c

* Fri Feb 14 2020 umeabot <umeabot> 1.20-2.mga8
+ Revision: 1520542
- Mageia 8 Mass Rebuild

* Thu Nov 29 2018 daviddavid <daviddavid> 1.20-1.mga7
+ Revision: 1336623
- new version: 1.20
- rename and rediff mga-path patch

* Sun Sep 23 2018 umeabot <umeabot> 1.19c-2.mga7
+ Revision: 1301172
- Mageia 7 Mass Rebuild

* Thu May 17 2018 daviddavid <daviddavid> 1.19c-1.mga7
+ Revision: 1229937
- new version: 1.19c
- rename and rediff mga-path patch

* Fri Apr 06 2018 kekepower <kekepower> 1.17-4.mga7
+ Revision: 1215615
- Rebuild for new libconfig

* Wed Feb 17 2016 umeabot <umeabot> 1.17-3.mga6
+ Revision: 962929
- Mageia 6 Mass Rebuild

* Thu Nov 12 2015 tv <tv> 1.17-2.mga6
+ Revision: 902896
- fix build

* Thu Jul 02 2015 blino <blino> 1.17-1.mga6
+ Revision: 849583
- 1.17

* Wed Oct 15 2014 umeabot <umeabot> 1.16-4.mga5
+ Revision: 743368
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.16-3.mga5
+ Revision: 689326
- Mageia 5 Mass Rebuild

* Mon Aug 04 2014 blino <blino> 1.16-2.mga5
+ Revision: 659649
- build with libcap to be able to drop capabilities

* Wed Jul 30 2014 blino <blino> 1.16-1.mga5
+ Revision: 658317
- use 4443 port in comments instead of 1443 (like upstream README)
- 1.16

* Fri Oct 18 2013 umeabot <umeabot> 1.13-0.3.mga4
+ Revision: 518504
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.13-0.2.mga3
+ Revision: 382663
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 08 2012 blino <blino> 1.13-0.1.mga3
+ Revision: 316259
- install systemd service and add Mageia-specific sysconfig file and documentation
- buildrequire libconfig-devel
- 1.13b
- remove BuildRoot

* Thu Dec 01 2011 blino <blino> 1.10-1.mga2
+ Revision: 174646
- initial sslh import
- Created package structure for sslh.

